Bug 980278 - dbus headers not tolerant to namespace pollution
dbus headers not tolerant to namespace pollution
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-dbus (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ivan Romanov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 20:05 EDT by Eric Blake
Modified: 2013-09-12 20:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: mingw-dbus-1.6.12-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 21:58:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66493 None None None Never

  None (edit)
Description Eric Blake 2013-07-01 20:05:38 EDT
Description of problem:
The current mingw header <rpc.h> pollutes the namespace with a '#define interface ...'.  While this is bad practice, the dbus package should avoid the problems it causes by picking names that are less likely to collide in its function declarations, or even omitting parameter names altogether (and just declaring parameter types without names).  I ran into this while trying to cross-compile libvirt for mingw.

Version-Release number of selected component (if applicable):
mingw32-dbus-1.6.8-1.fc18.noarch
mingw32-headers-2.0.999-0.15.trunk.20121110.fc18.noarch

How reproducible:
100%

Steps to Reproduce:
1. cat foo.c
2. i686-w64-mingw32-gcc -c \
   -I /usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0 \
   -I /usr/i686-w64-mingw32/sys-root/mingw/lib/dbus-1.0/include \
   foo.c

Actual results:

1. #include <rpc.h>
#include <dbus/dbus.h>
int dummy;

2. In file included from /usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-connection.h:32:0,
                 from /usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-bus.h:30,
                 from /usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus.h:31,
                 from foo.c:2:
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:74:58: error: expected ';', ',' or ')' before 'struct'
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:80:58: error: expected ';', ',' or ')' before 'struct'
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:111:58: error: expected ';', ',' or ')' before 'struct'
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:116:58: error: expected ';', ',' or ')' before 'struct'
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:149:58: error: expected ';', ',' or ')' before 'struct'
/usr/i686-w64-mingw32/sys-root/mingw/include/dbus-1.0/dbus/dbus-message.h:153:58: error: expected ';', ',' or ')' before 'struct'


Expected results:
no compilation error

Additional info:
see also bug 980270
Comment 1 Ivan Romanov 2013-07-02 05:40:01 EDT
I opened an issue on Freedesktop Bugtracker.
https://bugs.freedesktop.org/show_bug.cgi?id=66493
Comment 2 Fedora Update System 2013-08-29 08:47:36 EDT
mingw-dbus-1.6.8-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-dbus-1.6.8-4.fc19
Comment 3 Fedora Update System 2013-08-29 08:48:32 EDT
mingw-dbus-1.6.8-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-dbus-1.6.8-4.fc18
Comment 4 Fedora Update System 2013-08-29 18:21:02 EDT
Package mingw-dbus-1.6.8-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-dbus-1.6.8-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15496/mingw-dbus-1.6.8-4.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-09-04 04:19:48 EDT
mingw-dbus-1.6.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-dbus-1.6.12-1.fc19
Comment 6 Fedora Update System 2013-09-10 21:58:35 EDT
mingw-dbus-1.6.8-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-09-12 20:58:19 EDT
mingw-dbus-1.6.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.